Subject: [bug#64100] [PATCH] gnu: llvm: make clang-make-toolchain public

From: Carl Dong <[email-masked]>
Date: Fri, 16 Jun 2023 16:40:22 -0400

Simple enough and matches gcc-make-toolchain.

Allows for more complex manifests and packages to be built with a custom clang toolchains without forking Guix.

I think I still have push rights so I’ll push in 2 weeks if there are no other objections (this shouldn’t trigger any rebuilds at all).

–Carl

> On Jun 15, 2023, at 2:05 PM, [email-masked] wrote:
> 
> From: Cory Fields <[email-masked]>
> 
> Matches gcc-make-toolchain. Allow for llvm build to be patched.
> 
> * gnu/packages/llvm.scm: make clang-make-toolchain public
> 
> Signed-off-by: Cory Fields <[email-masked]>
> ---
> gnu/packages/llvm.scm | 2 +-
> 1 file changed, 1 insertion(+), 1 deletion(-)
> 
> diff --git a/gnu/packages/llvm.scm b/gnu/packages/llvm.scm
> index f59c8e9592..6d83313af6 100644
> --- a/gnu/packages/llvm.scm
> +++ b/gnu/packages/llvm.scm
> @@ -502,7 +502,7 @@ code analysis tools.")
>               "znver3")
>             '())))))
> 
> -(define (make-clang-toolchain clang libomp)
> +(define-public (make-clang-toolchain clang libomp)
>   (package
>     (name (string-append (package-name clang) "-toolchain"))
>     (version (package-version clang))
> 
> base-commit: 6e1215fb9c03ccb4a2d4440990aee5a66a935268
> -- 
> 2.25.1
> 
> 
> 
>